
import "Turbine.UI";
import "Turbine.UI.Lotro";
import "Chiran.Lotropad.Class";
import "Chiran.Lotropad.ToggleWindow";
import "Chiran.Lotropad";

lotropadWindow = Chiran.Lotropad.LotropadWindow(); -- Main window
toggleWindow = Chiran.Lotropad.ToggleWindow(); -- Window for the toggle button

if (Settings.WindowVisible == "yes") then
	lotropadWindow:SetVisible( true );
else 
	lotropadWindow:SetVisible( false );
end

if (Settings.ToggleVisible == "yes") then
	toggleWindow:SetVisible( true );
else 
	toggleWindow:SetVisible( false );
end

lotropadCommand = Turbine.ShellCommand();

function lotropadCommand:Execute(cmd, args)
	if ( args == "show" ) then
		lotropadWindow:SetVisible( true );
	elseif ( args == "hide" ) then
		lotropadWindow:SetVisible( false );
	elseif ( args == "toggle" ) then
		lotropadWindow:SetVisible( not lotropadWindow:IsVisible() );
	elseif ( args ~= nil ) then
		lotropadCommand:GetHelp();
	end
end

function lotropadCommand:GetHelp()
	Turbine.Shell.WriteLine( "lotropad show: Display Lotropad Window");
	Turbine.Shell.WriteLine( "lotropad hide: Hide Lotropad Window");
	Turbine.Shell.WriteLine( "lotropad toggle: Toggle Lotropad Window");
end

Turbine.Shell.AddCommand( "lotropad", lotropadCommand );